//
//  iBardecodeViewController.h
//  iBardecode
//
//  Copyright Softek Software Ltd 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface iBardecodeViewController : UIViewController {
	UIButton * choosePhoto;
	UIButton * takePhoto;
	UIButton * doScan;
	UISwitch * readEAN13etc ;
	UISwitch * readCode39etc ;
	UISwitch * read2D ;
	IBOutlet UILabel *result;
	IBOutlet UILabel *value ;
	IBOutlet UILabel *type ;
	Bardecode *barcode;
	bool	rotatingView;  // Set to true in viewDidLoad if the view needs to rotate
}

@property (nonatomic, strong) IBOutlet UIButton * doScan;
@property (nonatomic, strong) IBOutlet UISwitch * readEAN13etc;
@property (nonatomic, strong) IBOutlet UISwitch * readCode39etc;
@property (nonatomic, strong) IBOutlet UISwitch * read2D;
@property (nonatomic, strong) UILabel *result;
@property (nonatomic, strong) UILabel *value;
@property (nonatomic, strong) UILabel *type;
-(IBAction) buttonPress:(id) sender;
-(void)playBeep;
-(void)BardecodeDidFinish:(NSNotification*)notification;




@end

