package com.example.bardecoderExample;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import android.widget.TextView;
import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.content.ActivityNotFoundException;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import com.example.bardecoderExample.R;

public class bardecode extends Activity {
	// Please email sales@bardecode.com for a temporary license key.
	private String mLicenseKey = "MY LICENSE KEY";
	private String settings;
	public Button b ;
	public TextView t ;
	public String value = "Result displayed here";
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        t = (TextView) findViewById(R.id.textView1);
        bardecode.this.t.setText(value);
        b = (Button) findViewById(R.id.button1);
        
        b.setOnClickListener(new View.OnClickListener() {
           public void onClick(View arg0) {
        	   // The bar-code reader is launched from here
        	   Intent myIntent;
        	   myIntent = new Intent();
        	   myIntent.setComponent(new ComponentName("com.softeksoftware.bardecoder", "com.softeksoftware.bardecoder.scanner"));

        	   // Load the settings and pass them to the bar-code reader 
        	   loadSettings();
        	   myIntent.putExtra("com.softeksoftware.bardecoder.scanner.settings", settings);

        	   // Ask the reader to finish when it finds a bar-code
        	   myIntent.putExtra("com.softeksoftware.bardecoder.scanner.finishOnSuccess", true);

        	   // Ask the reader to vibrate when it finds a bar-code
        	   myIntent.putExtra("com.softeksoftware.bardecoder.scanner.vibrateOnSuccess", true);

        	   // Ask the reader to beep when it finds a bar-code
        	   myIntent.putExtra("com.softeksoftware.bardecoder.scanner.beepOnSuccess", true);
 
        	   // Set the license key
        	   myIntent.putExtra("com.softeksoftware.bardecoder.scanner.licenseKey", mLicenseKey);
        	   

        	   try {
        		   startActivityForResult(myIntent, 0); 
        	   }
        	   
        	   catch(ActivityNotFoundException ex)
        	   {
        		   bardecode.this.t.setText("Please install the Bardecoder app on your phone");
        	   }
           }
        });
    }
    
	// Load the settings from the file res/raw/bardecode.xml
    public void loadSettings()
    {
    	InputStream is = this.getResources().openRawResource(R.raw.bardecode);
        BufferedReader br = new BufferedReader(new InputStreamReader(is));
        String readLine = null;
        settings = "";

        try {
            while ((readLine = br.readLine()) != null) {
            	settings += readLine;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }    
    
	// Process the result of the bar-code reading
    public void onActivityResult(int requestCode, int resultCode, Intent data)
    {
    	super.onActivityResult(requestCode, resultCode, data);
    	if (data != null)
    	{
    		Bundle bundle = data.getExtras();
    		// Get the value of the bar-code
    		// The bar-code type is also available in the key "com.softeksoftware.bardecoder.scanner.type"
			value = bundle.getString("com.softeksoftware.bardecoder.scanner.value");
			if (value != null)
			{
				bardecode.this.t.setText(value);
			}
    	}
    }
}