package com.softeksoftware.bardecoder;

import android.app.Activity;
import android.app.SearchManager;
import android.content.Intent;
import android.os.Bundle;
import android.text.ClipboardManager;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.net.Uri;

public class Result extends Activity {
	   public Button b ;
	   public String type ;
	   public TextView textType;
	   public String extrasBaseName ;
	   public String barcodeValue ;
	   
	   

   @Override
    public void onCreate(Bundle savedInstanceState) {          
        super.onCreate(savedInstanceState);    
        setContentView(R.layout.main);
        b = (Button) findViewById(R.id.browser);
        
        b.setOnClickListener(new View.OnClickListener() {
           public void onClick(View arg0) {
       		Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(barcodeValue));
       		startActivity(browserIntent);

           }
        });
 
        b = (Button) findViewById(R.id.search);
        
        b.setOnClickListener(new View.OnClickListener() {
           public void onClick(View arg0) {
        	   Intent search = new Intent(Intent.ACTION_WEB_SEARCH);  
        	   search.putExtra(SearchManager.QUERY, barcodeValue);  
        	   startActivity(search);
           }
        });        
        
        b = (Button) findViewById(R.id.copy);
        b.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
            	ClipboardManager clipboard = 
            	      (ClipboardManager) getSystemService(CLIPBOARD_SERVICE); 
            	 clipboard.setText(barcodeValue);            }
         });          
 
        extrasBaseName = "com.softeksoftware.bardecoder.Result.";
        
        processIntent();
    };
    
    public void processIntent()
    {
        Intent i = this.getIntent();
        if (i == null)
        	return ;
        
        Bundle b = i.getExtras();
        if (b == null)
        	return ;
        
        extrasBaseName = "com.softeksoftware.bardecoder.Result.";
        
        String text = b.getString(extrasBaseName + "value");
 	   
        SetValue(text);
   
        text = b.getString(extrasBaseName + "type");
  	   
        SetType(text);
   }
    
    public void SetValue(String value)
    {
 	   TextView textValue;
       textValue = (TextView) findViewById(R.id.textValue);
       textValue.setText(value);
       barcodeValue = value ;
    }
    
    public void SetType(String type)
    {
 	   TextView textType;
       textType = (TextView) findViewById(R.id.textType);
       textType.setText("(" + type + ")");
    }  
    
 
}
